
let logger;

function getLogger() {
  if (wx.canIUse('getRealtimeLogManager')) {
    return wx.getRealtimeLogManager()
  }

  return undefined;
}

function info(...args) {
  if (!logger) {
    logger = getLogger()
  }

  // 本地打印
  console.info(...args)

  // 远程提交
  if (logger) {
    logger.info(...args)
  }
}

function error(...args) {
  if (!logger) {
    logger = getLogger()
  }

  console.error(...args)

  if (logger) {
    logger.error(...args)
  }
}

function warn(...args) {
  if (!logger) {
    logger = getLogger()
  }

  console.warn(...args)

  if (logger) {
    logger.warn(...args)
  }
}

export default { info, error, warn }
